//
//  BaseViewController.h
//  Palmwms
//
//  Created by 曹云霄 on 16/8/24.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface BaseViewController : UIViewController


/**
 *  自定义返回按钮
 *
 *  @param backButtonClick 调用方法
 */
- (void)customBackButton:(SEL)backButtonClick;



- (void)CreateMBProgressHUDLoding;
- (void)RemoveMBProgressHUDLoding;
- (void)SuccessMBProgressView:(NSString *)successString;
- (void)ErrorMBProgressView:(NSString *)errorString;
- (void)ShowProgressView:(double)progress;
- (void)SHOWPrompttext:(NSString *)Text;
- (void)SHOWPrompttext:(NSString *)Text ComcpleteBlock:(void(^)())completed;
- (void)endRefreshingForTableView:(UIScrollView *)TableView;
- (UIStoryboard *)getStoryboardWithName;


@end
