//
//  palmwms_objc_json_client.m
//  Palmwms
//
//  Created by 曹云霄 on 16/8/24.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "palmwms_objc_json_client.h"

@implementation QueryDefinition
@synthesize orders;
@synthesize pageNumber;
@synthesize pageSize;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

NSString * const QUERYORDERDIRECTION_ASC = @"asc";
NSString * const QUERYORDERDIRECTION_DESC = @"desc";


@implementation RsQueryResult
@synthesize paging;
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation Customer
@synthesize fid;
@synthesize code;
@synthesize name;
@synthesize address;
@synthesize lng;
@synthesize lat;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation Driver
@synthesize fid;
@synthesize code;
@synthesize name;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation LoginResult
@synthesize driver;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ResetPasswordRequest
@synthesize code;
@synthesize smsCode;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation ModifyPasswordRequest
@synthesize driverId;
@synthesize oldPassword;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation LoginRequest
@synthesize username;
@synthesize password;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryResultPaging
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryOrder
@synthesize field;
@synthesize direction;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsResponse
@synthesize code;
@synthesize message;
@synthesize data;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ExceptionCode
@synthesize code;
@synthesize message;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation CustomerQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation CustomerQueryDefintion
@synthesize codeEqualsOrNameLike;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

